*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

h1 {
	color : white;
}
body{

    font-family:Segoe UI, Arial, Helvetica, sans-serif;
    background-color: #500000;
    min-height:100vh;
    display:flex;
    justify-content:center;
    padding:40px 15px;
}

/* Main container */

.container{
	position : absolute;
	align-items: center;
	margin-top : 200px;
    width:380px;
    max-width:100%;
}

/* Title */

h1{
    text-align:center;
    color : white;
    margin-bottom:30px;
    font-size:2rem;
    font-weight:700;
    text-shadow:1px 1px 3px rgba(0,0,0,.15);
}

/* Remove browser markers */

summary::-webkit-details-marker{
    display:none;
}

summary::marker{
    display:none;
}

/* Main buttons */

summary,
.button{
    display:block;
    text-decoration:none;
    cursor:pointer;
    color:white;
    text-align:center;
    font-size:20px;
    font-weight:bold;
    padding:16px;
    margin:12px 0;
    border-radius:16px;
    background:linear-gradient(#4b92df,#235fa8);
    box-shadow:0 6px 16px rgba(0,0,0,.25);
    transition:0.25s;
}

summary:hover,
.button:hover{
    background:linear-gradient(#69afff,#3d7fd2);
    transform:translateY(-2px);
}

/* Open / Close arrows */

details>summary::after{
    content:" ▼";
    float:right;
}

details[open]>summary::after{
    content:" ▲";
}

/* Submenu buttons */

details>a{
    display:block;
    text-decoration:none;
    text-align:center;
    margin:8px 0 8px 18px;
    padding:13px;
    color:#1d3557;
    background:white;
    border-radius:12px;
    box-shadow:0 2px 8px rgba(0,0,0,.15);
    transition:.25s;
}

details>a:hover{
    background:#dcecff;
}

/* Third level */

.nested{
    margin-left:18px;
}

.nested summary{
    font-size:18px;
    background:linear-gradient(#7daee8,#5d8ec8);
}

.nested>a{
    margin-left:18px;
    background:#fff9e6;
}

.nested>a:hover{
    background:#ffeaa7;
}

/* Mobile */

@media (max-width:700px){

.container{
    width:100%;
}

h1{
    font-size:1.8rem;
}

summary,
.button{

    font-size:19px;

    padding:18px;

}

details>a{

    font-size:18px;

}

}